public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Mike Gilbert" <floppym@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-vim/gentoo-syntax/
Date: Sun, 23 Aug 2015 14:10:32 +0000 (UTC)	[thread overview]
Message-ID: <1440339016.72d2c09615882c6c55f7d80f25c9fc7c15c78300.floppym@gentoo> (raw)

commit:     72d2c09615882c6c55f7d80f25c9fc7c15c78300
Author:     Mike Gilbert <floppym <AT> gentoo <DOT> org>
AuthorDate: Sun Aug 23 14:10:16 2015 +0000
Commit:     Mike Gilbert <floppym <AT> gentoo <DOT> org>
CommitDate: Sun Aug 23 14:10:16 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=72d2c096

app-vim/gentoo-syntax: Bump to 20150823

Package-Manager: portage-2.2.20_p134

 app-vim/gentoo-syntax/Manifest                     |  1 +
 .../gentoo-syntax/gentoo-syntax-20150823.ebuild    | 48 ++++++++++++++++++++++
 2 files changed, 49 insertions(+)

diff --git a/app-vim/gentoo-syntax/Manifest b/app-vim/gentoo-syntax/Manifest
index 5861beb..4e919f9 100644
--- a/app-vim/gentoo-syntax/Manifest
+++ b/app-vim/gentoo-syntax/Manifest
@@ -1,3 +1,4 @@
 DIST gentoo-syntax-20120109.tar.bz2 19526 SHA256 dabab1a569ec84286d15feb93652f044888d92c0e0c8c1f298f8dec80fcab4c5 SHA512 cbd0215dc8b5d89f3c0ec2aaa274f05d47891f67a7e5513af04ae53374c4adf6686e7fce2446d329033b951bf0106cc96075015ecaeaa38983b843bbac0119bf WHIRLPOOL 05ea6343ebdf3263392348bc1d0be045915232c58c652f85a2f38b31c612aa3466379329bef735b08e0d74856ff1e8d0139b433e1e3f999b9fde93740912a8c5
 DIST gentoo-syntax-20130619.tar.bz2 24689 SHA256 959f4ac0845d97f01aadc8ee7dffbaebe9d933253de6eba35df530aff2d6ebd2 SHA512 122fdbb644105fd3e4bb24431fe7ed3cc20052336167da9914274040a9ad220b45c5edb04a6b00a019db476e3271023f64248960940276aa3a7785c9a4fbdc98 WHIRLPOOL 92c381de077c8ec2e278023da2d7c3d8c53840e2b0e653a1241b51ec99abebfb32ca123579a70ea5ed8f79cf5a2f94b2c0647c4fca1e1a156045fcfa341a85ce
 DIST gentoo-syntax-20141129.tar.bz2 25211 SHA256 007c979e5124413bb320ba3583e67ba6c77d9619560597d3d93d9c43b1e7061f SHA512 935ffcafe0c6a8c3b9395b626c11cf8e53e2f9b5a44d780cff833489819b138e19ef14548058146319d2353269bbf80955e0d0d50ad87e78afa9a7b4f96ebd85 WHIRLPOOL e9e19e7840c2c81e7e8ac790dec4250f683d22a1bcc34166b8f8f8c8dcabbc63c2a4a0a45be7347451e8f2841a35c5e246148a4d0d05f94930292e98b2a9fc31
+DIST gentoo-syntax-20150823.tar.bz2 25848 SHA256 72eba1cf2d0ffb481aa5bc56dbdeb2a9172565cfd3b454ce56eb9fdf665ec6ca SHA512 9d6f82aba6aa33f5d49dfd085628aacb7584614acf82954fa0e814b7fac5eda47c8d3eb6672ad38144a1444d507babad8805ea3029ccc35210a8752ea10eab82 WHIRLPOOL 85cebe212b1e86e79e92b55b7456da7d053973877485c9855580308b49d892fffc2fdbf98c6be2c7df843bf72246a5251d4716f25fc010afeace6255f9e0a9f5

diff --git a/app-vim/gentoo-syntax/gentoo-syntax-20150823.ebuild b/app-vim/gentoo-syntax/gentoo-syntax-20150823.ebuild
new file mode 100644
index 0000000..4719961
--- /dev/null
+++ b/app-vim/gentoo-syntax/gentoo-syntax-20150823.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit vim-plugin
+
+DESCRIPTION="vim plugin: Gentoo and portage related syntax highlighting, filetype, and indent settings"
+HOMEPAGE="https://github.com/gentoo/gentoo-syntax"
+SRC_URI="http://dev.gentoo.org/~floppym/dist/${P}.tar.bz2"
+
+LICENSE="vim"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~x64-freebsd ~x86-freebsd ~hppa-hpux ~ia64-hpux ~x86-interix ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="ignore-glep31"
+
+VIM_PLUGIN_HELPFILES="gentoo-syntax"
+VIM_PLUGIN_MESSAGES="filetype"
+
+src_prepare() {
+	if use ignore-glep31 ; then
+		for f in ftplugin/*.vim ; do
+			ebegin "Removing UTF-8 rules from ${f} ..."
+			sed -i -e 's~\(setlocal fileencoding=utf-8\)~" \1~' ${f} \
+				|| die "waah! bad sed voodoo. need more goats."
+			eend $?
+		done
+	fi
+}
+
+pkg_postinst() {
+	vim-plugin_pkg_postinst
+
+	if [[ -z ${REPLACING_VERSIONS} ]] ; then
+		if use ignore-glep31 1>/dev/null ; then
+			ewarn "You have chosen to disable the rules which ensure GLEP 31"
+			ewarn "compliance. When editing ebuilds, please make sure you get"
+			ewarn "the character set correct."
+		else
+			elog "Note for developers and anyone else who edits ebuilds:"
+			elog "    This release of gentoo-syntax now contains filetype rules to set"
+			elog "    fileencoding for ebuilds and ChangeLogs to utf-8 as per GLEP 31."
+			elog "    If you find this feature breaks things, please submit a bug and"
+			elog "    assign it to vim@gentoo.org. You can use the 'ignore-glep31' USE"
+			elog "    flag to remove these rules."
+		fi
+	fi
+}


             reply	other threads:[~2015-08-23 14:10 UTC|newest]

Thread overview: 119+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2015-08-23 14:10 Mike Gilbert [this message]
  -- strict thread matches above, loose matches on Subject: below --
2015-08-24  8:18 [gentoo-commits] repo/gentoo:master commit in: app-vim/gentoo-syntax/ Ben de Groot
2015-08-25  3:45 Tim Harder
2016-02-29 19:44 Stephen Klimaszewski
2016-04-15 22:16 Mike Gilbert
2016-05-30  3:32 Tim Harder
2016-08-18  5:03 Tim Harder
2016-08-18  5:03 Tim Harder
2016-11-18 21:40 Mike Frysinger
2017-02-26 17:18 Mike Gilbert
2017-02-28 22:04 Mike Gilbert
2017-06-20 12:37 Pacho Ramos
2018-01-14 20:47 Patrice Clement
2018-03-03 14:17 Mart Raudsepp
2018-08-14 14:23 Michał Górny
2018-08-14 14:23 Michał Górny
2018-08-14 14:23 Michał Górny
2018-08-14 14:23 Michał Górny
2018-08-20 21:06 Michał Górny
2018-08-21  9:03 Michał Górny
2018-09-06 21:22 Michał Górny
2018-09-13  8:16 Mart Raudsepp
2018-09-13 10:47 Mikle Kolyada
2018-09-15 12:10 Sergei Trofimovich
2018-09-15 18:23 Sergei Trofimovich
2018-09-15 18:26 Sergei Trofimovich
2018-09-16 12:08 Sergei Trofimovich
2018-09-19 17:35 Thomas Deutschmann
2018-10-04  8:47 Mikle Kolyada
2018-10-11 12:45 Tobias Klausmann
2018-10-14 11:13 Mikle Kolyada
2018-10-19  9:57 Michał Górny
2018-10-23 10:20 Michał Górny
2018-11-23  9:00 Mikle Kolyada
2019-01-06 11:51 Jeroen Roovers
2019-01-22 22:58 Patrice Clement
2019-01-22 22:58 Patrice Clement
2019-05-05 13:17 Mikle Kolyada
2019-06-09 17:39 Michał Górny
2019-07-28  6:41 Michał Górny
2019-07-29 16:34 Aaron Bauman
2019-07-29 16:34 Aaron Bauman
2019-09-08  6:43 Michał Górny
2019-11-27  8:16 Michał Górny
2019-12-29  9:05 Mikle Kolyada
2020-01-20  8:16 Michał Górny
2020-01-20  8:16 Michał Górny
2020-03-13 19:15 Agostino Sarubbo
2020-03-14 19:24 Sergei Trofimovich
2020-03-15 18:27 Agostino Sarubbo
2020-03-15 18:31 Agostino Sarubbo
2020-03-15 18:34 Agostino Sarubbo
2020-03-15 18:36 Agostino Sarubbo
2020-03-15 18:37 Agostino Sarubbo
2020-03-20 14:21 Agostino Sarubbo
2020-03-20 15:05 Michał Górny
2020-10-07 10:16 Michał Górny
2020-12-16 13:35 Michał Górny
2020-12-16 19:51 Sam James
2020-12-16 20:35 Michał Górny
2020-12-27 14:01 Fabian Groffen
2021-01-06 18:36 Fabian Groffen
2021-04-28  8:16 Michał Górny
2021-07-03  1:28 Sam James
2021-07-03  6:21 Michał Górny
2021-07-16 15:32 Michał Górny
2021-08-16  5:13 Agostino Sarubbo
2021-08-16  6:38 Michał Górny
2021-08-16  6:38 Michał Górny
2021-08-28 11:05 Michał Górny
2021-09-01 16:24 Michał Górny
2021-09-11 14:13 Mike Gilbert
2021-09-23  1:07 Matt Turner
2021-10-09 19:18 Sam James
2021-10-09 19:31 Michał Górny
2021-11-16 17:16 Michał Górny
2021-12-08 23:00 Michał Górny
2021-12-18 13:38 Arthur Zamarin
2021-12-18 15:36 Michał Górny
2022-01-26  8:38 Michał Górny
2022-02-03  8:42 Michał Górny
2022-02-06 15:35 Michał Górny
2022-02-06 15:35 Michał Górny
2022-02-20 16:05 Michał Górny
2022-02-23 17:04 Michał Górny
2022-02-23 17:04 Michał Górny
2022-02-23 17:04 Michał Górny
2022-02-24 18:08 Michał Górny
2022-04-27 11:21 Jakov Smolić
2022-04-27 12:27 Michał Górny
2022-05-02 19:09 Michał Górny
2022-05-07 11:14 WANG Xuerui
2022-07-26  6:17 Michał Górny
2022-12-04 15:34 Michał Górny
2023-02-01  5:07 Michał Górny
2023-02-01  6:42 Arthur Zamarin
2023-02-01 10:53 Michał Górny
2023-02-01 11:11 Michał Górny
2023-02-08 17:36 Michał Górny
2023-03-09  5:59 Michał Górny
2023-03-11 20:45 Michał Górny
2023-03-15  8:32 Michał Górny
2023-03-15  9:27 Sam James
2023-03-15  9:58 Michał Górny
2023-04-22 10:53 Sam James
2023-04-22 16:12 Michał Górny
2023-06-14 15:05 Michał Górny
2023-07-24 10:49 Michał Górny
2023-10-12  9:47 Sam James
2023-11-02 13:03 Michał Górny
2023-12-02 10:14 Arthur Zamarin
2023-12-02 10:24 Michał Górny
2023-12-02 10:24 Michał Górny
2023-12-27 15:59 Michał Górny
2024-01-24 18:59 Michał Górny
2024-01-24 19:05 Michał Górny
2024-03-29 14:28 Michał Górny
2024-04-20  9:42 Michał Górny
2024-04-20  9:45 Michał Górny

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1440339016.72d2c09615882c6c55f7d80f25c9fc7c15c78300.floppym@gentoo \
    --to=floppym@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox